Package org.apache.sysds.runtime.compress.colgroup.offset

# Class AOffsetByte

java.lang.Object
org.apache.sysds.runtime.compress.colgroup.offset.AOffset
org.apache.sysds.runtime.compress.colgroup.offset.AOffsetByte

All Implemented Interfaces:
  `Serializable`, `ISliceOffset`

Direct Known Subclasses:
  `OffsetByte`, `OffsetByteNZ`, `OffsetByteUNZ`

public abstract class AOffsetByte extends AOffset implements ISliceOffset

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.compress.colgroup.offset.AOffset

`AOffset.OffsetSliceInfo, AOffset.RemoveEmptyOffsetsTmp`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getLength()`
Get the length of the underlying array.
`final int`
`getOffsetToFirst()`
Get the offset to the first index
`final int`
`getOffsetToLast()`
Get the offset to the last value

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.offset.AOffset

`append, appendN, cacheIterator, clearSkipList, constructSkipList, equals, equals, getExactSizeOnDisk, getInMemorySize, getIterator, getIterator, getOffsetIterator, getSize, moveIndex, preAggregateDenseMap, preAggSparseMap, removeEmptyRows, reverse, slice, toString, verify, write`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.compress.colgroup.offset.ISliceOffset

`slice`

## Method Details

### getOffsetToFirst

public final int getOffsetToFirst()
Description copied from class: `AOffset`
Get the offset to the first index

Specified by:
  `getOffsetToFirst` in class `AOffset`
Returns:
  The first index offset

### getOffsetToLast

public final int getOffsetToLast()
Description copied from class: `AOffset`
Get the offset to the last value

Specified by:
  `getOffsetToLast` in class `AOffset`
Returns:
  The last values offset

### getLength

public final int getLength()
Description copied from class: `AOffset`
Get the length of the underlying array. This does not reflect the number of contained elements, since some of the elements can be skips.

Specified by:
  `getLength` in class `AOffset`
Returns:
  The length of the underlying arrays